Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003438Zandronum[All Projects] Bugpublic2018-06-30 23:342020-11-26 18:57
ReporterRepo Man 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version3.0 
Target VersionFixed in Version 
Summary0003438: Desaturated translations created with CreateTranslation via ACS don't work online
DescriptionWhen trying to use scripts to create translations, I've noticed that desaturated translations created/stored via ACS don't work online. They work fine offline and also function when applied directly to an actor's properties using 'Translation,' but don't show up at all online when they're made with 'CreateTranslation' via ACS.
Steps To ReproduceUsing desaturatedbug.wad go to an offline game then summon 3 custom Imps with the following names:

doomimp1 - This is a CreateTranslation done with palette remapping to appear 100% black and is applied in the spawn state 'Thing_SetTranslation.'
doomimp2 - This is a CreateTranslation done with a desaturated translation value and is applied in the spawn state with 'Thing_SetTranslation.'
doomimp3 - This is a desaturated translation applied directly to the actor's properties.

Then repeat the process online and it should show doomimp2 as brown instead of blue.
Attached Files? file icon desaturatedbug.wad [^] (705 bytes) 2018-06-30 23:34
png file icon online.png [^] (195,707 bytes) 2018-06-30 23:35


png file icon offline.png [^] (160,420 bytes) 2018-06-30 23:35

- Relationships

-  Notes
User avatar (0019288)
Repo Man (reporter)
2018-06-30 23:36

I also attached screenshots showing the results of spawning the Imps online and offline.
User avatar (0021557)
Ivan (reporter)
2020-10-31 23:34

Any progress on this?
User avatar (0021558)
Kaminsky (reporter)
2020-11-01 06:17
edited on: 2020-11-01 06:19

I went ahead and made a patch that fixes desaturated translations not syncing with the clients in online games if they're created with CreateTranslation(). I uploaded it as a PR in Zandronum's repository page on OSDN:
https://osdn.net/projects/zandronum/ticket/40871 [^]

User avatar (0021565)
Torr Samaho (administrator)
2020-11-22 20:12

I added your patch.
User avatar (0021568)
Ivan (reporter)
2020-11-26 18:57

Is there a beta release where we can start using this change? I know we can provide testing for this immediately.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Ivan CanSteam Kaminsky EpicTyphlosion
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-06-30 23:34 Repo Man New Issue
2018-06-30 23:34 Repo Man File Added: desaturatedbug.wad
2018-06-30 23:35 Repo Man File Added: online.png
2018-06-30 23:35 Repo Man File Added: offline.png
2018-06-30 23:36 Repo Man Note Added: 0019288
2020-10-31 23:34 Ivan Note Added: 0021557
2020-11-01 06:17 Kaminsky Note Added: 0021558
2020-11-01 06:19 Kaminsky Note Edited: 0021558 View Revisions
2020-11-01 06:19 Kaminsky Note Edited: 0021558 View Revisions
2020-11-22 20:12 Torr Samaho Note Added: 0021565
2020-11-22 20:12 Torr Samaho Status new => needs testing
2020-11-26 18:57 Ivan Note Added: 0021568






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker